org.apache.fontbox.encoding

## Class Encoding

- java.lang.Object
- - org.apache.fontbox.encoding.Encoding

Direct Known Subclasses:
  BuiltInEncoding, CFFEncoding, MacRomanEncoding, StandardEncoding

    public abstract class Encoding
    extends Object

A PostScript Encoding vector.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`Encoding()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addCharacterEncoding(int code, String name)` This will add a character encoding.
`Integer` `getCode(String name)` This will get the character code for the name.
`Map<Integer,String>` `getCodeToNameMap()` Returns an unmodifiable view of the code to name mapping.
`String` `getName(int code)` This will take a character code and get the name from the code.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Encoding

    public Encoding()

### Method Detail

#### addCharacterEncoding

    protected void addCharacterEncoding(int code,
                                        String name)

This will add a character encoding.

Parameters:
  `code` - The character code that matches the character.
  `name` - The name of the character.

#### getCode

    public Integer getCode(String name)

This will get the character code for the name.

Parameters:
  `name` - The name of the character.
Returns:
  The code for the character or null if it is not in the encoding.

#### getName

    public String getName(int code)

This will take a character code and get the name from the code. This method will never return null.

Parameters:
  `code` - The character code.
Returns:
  The name of the character, or ".notdef" if the bame doesn't exist.

#### getCodeToNameMap

    public Map<Integer,String> getCodeToNameMap()

Returns an unmodifiable view of the code to name mapping.

Returns:
  the Code2Name map